{ KOL MCK } // Do not remove this line!
const ColValue = 0;
const ColSP = 1;
const ColAddr = 2;
const ColChars = 3;
const Col1 = 0;
const TBGFXSearch = 0;
const TBGFXEdit = 1;
const TBGFXSave = 2;
const TBGFXLoad = 3;
const TBGFXEditor = 4;

const TBSearch = 0;
const TBEdit = 1;
const TBSave = 2;
const TBLoad = 3;
const TBAsm2 = 5;

const GFXData = 0;
const TBStop = 0;
const TBPrevBrk = 1;
const TBBreak = 2;
const TBNextBrk = 3;
const TBStepInto = 5;
const TBStepOver = 6;
const TBRun = 8;
const TBTrace = 9;
const TBUntilFrame = 10;
const TBUndo = 12;
const TBRedo = 13;
const TBHistBack = 15;
const TBDecimal = 17;
const TBAsm1 = 18;
const TBEditROM = 19;
const TBTools = 20;

const N9 = 0;
const N1 = 1;
const N2 = 2;
const N3 = 3;
const N4 = 4;
const N8 = 5;
const N6 = 7;
const N7 = 8;
const pmNextBP = 9;
const pmDecimal = 11;
const N11 = 13;
const N12 = 14;
const N14 = 15;
const N13 = 16;
const N15 = 17;
const mmClearRestOfVideoBuffer = 19;
const pmBorderOnly = 20;
const N22 = 22;
const N17 = 23;
const pmAYReg = 25;
const pmGFXReg = 26;
const pmGFXMem = 27;
const pmHints = 29;


procedure NewForm2( var Result: PForm2; AParent: PControl );
begin

  {$IFDEF KOLCLASSES}
  Result := PForm2.Create;
  {$ELSE OBJECTS}
  New( Result, Create );
  {$ENDIF KOL CLASSES/OBJECTS}
  Result.Form := NewForm( AParent, 'Debug Window' ).SetPosition( 325, 214 ).SetClientSize( 679, 589 ).Tabulate.SupportMnemonics;
  Result.Form.Add2AutoFree( Result );
   {$IFDEF USE_NAMES}
    Result.Form.Name := 'Form2';
   {$ENDIF}
    Result.Form.Visible := False;
    Result.Form.Font.FontHeight := 14;
      Result.Form.OnMessage := Result.KOLForm1OnMessage;
      Result.Form.OnClose := Result.KOLForm1Close;
      Result.Form.OnMinimize := Result.KOLForm1Minimize;
      Result.Form.OnMaximize := Result.KOLForm1Maximize;
      Result.Form.OnRestore := Result.KOLForm1Restore;
      Result.Form.OnMouseWheel := Result.KOLForm1MouseWheel;
      Result.Form.OnKeyDown := Result.KOLForm1KeyDown;
      Result.Form.OnShow := Result.KOLForm1Show;
      Result.Form.OnHide := Result.KOLForm1Hide;
      Result.Form.OnDestroy := Result.KOLForm1Destroy;
    Result.Form.MinWidth := 400;
    Result.Form.MinHeight := 300;
    NewMenu( Result.Form, 0, [ '' ], nil );

    Result.OpenGFXDlg := NewOpenSaveDialog( 'Load GFX Memory', '', [  ] );
      Result.OpenGFXDlg.Filter := 'GFX Memory|*.gfx';
      Result.OpenGFXDlg.DefExtension := 'gfx';
  Result.Form.Add2AutoFree( Result.OpenGFXDlg );

    Result.TimerScroll := NewTimer( 500 );
  Result.Form.Add2AutoFree( Result.TimerScroll );
      Result.TimerScroll.OnTimer := Result.TimerScrollTimer;

    Result.SaveGFXDlg := NewOpenSaveDialog( 'Save GFX Memory As', '', [  ] );
      Result.SaveGFXDlg.Filter := 'GFX File|*.gfx';
      Result.SaveGFXDlg.OpenDialog := FALSE;
      Result.SaveGFXDlg.DefExtension := 'gfx';
  Result.Form.Add2AutoFree( Result.SaveGFXDlg );

    Result.PopupMenu1 := NewMenu( Result.Form, 0, [ 
      'Sto&p'+#9+'F12', 'Step &Into'+#9+'F7'
      , 'Step &Over'+#9+'F8', '&Run'+#9+'F9', '&Trace'+#9+'F10'
      , 'Run &Until End Of Frame'+#9+'Alt+F9', '-' + ''
      , 'Set &Break Point'+#9+'F2', '&Previous Break Point'
      , '&Next Break Point'+#9+'.', '-' + '', '&Decimal View'
      , '-' + '', '&Find'+#9+'Shift+F3', 'Find Ne&xt'+#9+'F3'
      , '&Edit'+#9+'F4', '&Save'+#9+'F5'
      , '&Load/Compare'+#9+'F6', '-' + ''
      , '&Clear Rest Of Video Buffer', 'Sho&w Border Only'
      , '-' + '', '&Assembler', 'L&abels', '-' + ''
      , '+' + 'AY Registers', '+' + 'GFX Registers'
      , '+' + 'GFX Memory', '-' + ''
      , '+' + '&Hints In The Upper Toolbar', '' ], nil );
   {$IFDEF USE_NAMES}
    Result.PopupMenu1.Name := 'PopupMenu1';
   {$ENDIF}
    Result.PopupMenu1.AssignEvents( 0, [ Result.PopupMenu1N9Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 0 ] := MakeAccelerator( FVIRTKEY, VK_F12 );
    Result.PopupMenu1.AssignEvents( 1, [ Result.PopupMenu1N1Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 1 ] := MakeAccelerator( FVIRTKEY, VK_F7 );
    Result.PopupMenu1.AssignEvents( 2, [ Result.PopupMenu1N2Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 2 ] := MakeAccelerator( FVIRTKEY, VK_F8 );
    Result.PopupMenu1.AssignEvents( 3, [ Result.PopupMenu1N3Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 3 ] := MakeAccelerator( FVIRTKEY, VK_F9 );
    Result.PopupMenu1.AssignEvents( 4, [ Result.PopupMenu1N4Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 4 ] := MakeAccelerator( FVIRTKEY, VK_F10 );
    Result.PopupMenu1.AssignEvents( 5, [ Result.PopupMenu1N8Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 5 ] := MakeAccelerator( FVIRTKEY or FALT, VK_F9 );
    Result.PopupMenu1.ItemVisible[ 6 ] := False;
    Result.PopupMenu1.AssignEvents( 7, [ Result.PopupMenu1N6Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 7 ] := MakeAccelerator( FVIRTKEY, VK_F2 );
    Result.PopupMenu1.ItemVisible[ 8 ] := False;
    Result.PopupMenu1.AssignEvents( 8, [ Result.PopupMenu1N7Menu ] );
    Result.PopupMenu1.ItemVisible[ 9 ] := False;
    Result.PopupMenu1.AssignEvents( 9, [ Result.PopupMenu1pmNextBPMenu ] );
    Result.PopupMenu1.ItemAccelerator[ 9 ] := MakeAccelerator( FVIRTKEY, VK_DECIMAL );
    Result.PopupMenu1.ItemVisible[ 10 ] := False;
    Result.PopupMenu1.ItemVisible[ 11 ] := False;
    Result.PopupMenu1.AssignEvents( 11, [ Result.PopupMenu1pmDecimalMenu ] );
    Result.PopupMenu1.AssignEvents( 13, [ Result.PopupMenu1N11Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 13 ] := MakeAccelerator( FVIRTKEY or FSHIFT, VK_F3 );
    Result.PopupMenu1.AssignEvents( 14, [ Result.PopupMenu1N12Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 14 ] := MakeAccelerator( FVIRTKEY, VK_F3 );
    Result.PopupMenu1.AssignEvents( 15, [ Result.PopupMenu1N14Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 15 ] := MakeAccelerator( FVIRTKEY, VK_F4 );
    Result.PopupMenu1.AssignEvents( 16, [ Result.PopupMenu1N13Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 16 ] := MakeAccelerator( FVIRTKEY, VK_F5 );
    Result.PopupMenu1.AssignEvents( 17, [ Result.PopupMenu1N15Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 17 ] := MakeAccelerator( FVIRTKEY, VK_F6 );
    Result.PopupMenu1.AssignEvents( 19, [ Result.PopupMenu1mmClearRestOfVideoBufferMenu ] );
    Result.PopupMenu1.ItemEnabled[ 20 ] := False;
    Result.PopupMenu1.ItemVisible[ 20 ] := False;
    Result.PopupMenu1.AssignEvents( 20, [ Result.PopupMenu1pmBorderOnlyMenu ] );
    Result.PopupMenu1.AssignEvents( 22, [ Result.PopupMenu1N22Menu ] );
    Result.PopupMenu1.AssignEvents( 23, [ Result.PopupMenu1N17Menu ] );
    Result.PopupMenu1.AssignEvents( 25, [ Result.PopupMenu1pmAYRegMenu ] );
    Result.PopupMenu1.AssignEvents( 26, [ Result.PopupMenu1pmGFXRegMenu ] );
    Result.PopupMenu1.AssignEvents( 27, [ Result.PopupMenu1pmGFXMemMenu ] );
    Result.PopupMenu1.AssignEvents( 29, [ Result.PopupMenu1pmHintsMenu ] );
      Result.PopupMenu1.OnPopup := Result.PopupMenu1Popup;

    Result.ImageList1 := NewImageList( Result.Form );
    Result.ImageList1.Colors := ilcColor4;
      Result.ImageList1.ImgWidth := 10;
      Result.ImageList1.ImgHeight := 10;
      {$R Form2_ImageList1.res}
    Result.ImageList1.AddMasked( LoadBmp( hInstance, 'FORM2_IMAGELIST1', Result.ImageList1 ), clWhite );
    // Result.Panel21.TabOrder = 0
    Result.Panel21 := NewPanel( Result.Form, esNone ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
    Result.Panel21.Name := 'Panel21';
   {$ENDIF}
    // Result.Panel22.TabOrder = 0
      Result.Panel22 := NewPanel( Result.Panel21, esLowered ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
      Result.Panel22.Name := 'Panel22';
   {$ENDIF}
      Result.Panel22.Border := 0;
    // Result.pnDisasm.TabOrder = 0
        Result.pnDisasm := NewPanel( Result.Panel22, esLowered ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
        Result.pnDisasm.Name := 'pnDisasm';
   {$ENDIF}
    // Result.PaintBox1.TabOrder = 0
          Result.PaintBox1 := NewPaintBox( Result.pnDisasm ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
          Result.PaintBox1.Name := 'PaintBox1';
   {$ENDIF}
    Result.PaintBox1.Font.FontName := 'Courier New';
          Result.PaintBox1.Border := 2;
          Result.PaintBox1.DoubleBuffered := True;
          Result.PaintBox1.SetAutoPopupMenu( Result.PopupMenu1 );
    // Result.edCodeAddr.TabOrder = 0
            Result.edCodeAddr := NewEditBox( Result.PaintBox1, [  ] ).SetPosition( 0, 0 ).SetSize( 39, 18 );
   {$IFDEF USE_NAMES}
            Result.edCodeAddr.Name := 'edCodeAddr';
   {$ENDIF}
    Result.edCodeAddr.TextAlign := taCenter;
            Result.edCodeAddr.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edCodeAddr.Text := '0000';
            Result.edCodeAddr.TextAlign := taCenter;
    // Result.pnScroller.TabOrder = 1
          Result.pnScroller := NewPanel( Result.pnDisasm, esLowered ).SetAlign ( caRight ).SetSize( 20, 0 );
   {$IFDEF USE_NAMES}
          Result.pnScroller.Name := 'pnScroller';
   {$ENDIF}
    // Result.btPgUp.TabOrder = 0
            Result.btPgUp := NewBitBtn( Result.pnScroller, '', [ bboImageList ], glyphLeft, Result.ImageList1.Handle, $10000 + 0 ).SetAlign ( caTop ).SetSize( 0, 18 ).LikeSpeedButton;
   {$IFDEF USE_NAMES}
            Result.btPgUp.Name := 'btPgUp';
   {$ENDIF}
    Result.btPgUp.TabStop := FALSE;
            Result.btPgUp.TextShiftX := 1;
            Result.btPgUp.TextShiftY := 1;
    // Result.btUp.TabOrder = 1
            Result.btUp := NewBitBtn( Result.pnScroller, '', [ bboImageList ], glyphLeft, Result.ImageList1.Handle, $10000 + 1 ).SetAlign ( caTop ).SetSize( 0, 18 ).LikeSpeedButton;
   {$IFDEF USE_NAMES}
            Result.btUp.Name := 'btUp';
   {$ENDIF}
    Result.btUp.TabStop := FALSE;
            Result.btUp.RepeatInterval := 100;
            Result.btUp.TextShiftX := 1;
            Result.btUp.TextShiftY := 1;
    // Result.btPgDn.TabOrder = 2
            Result.btPgDn := NewBitBtn( Result.pnScroller, '', [ bboImageList ], glyphLeft, Result.ImageList1.Handle, $10000 + 3 ).SetAlign ( caBottom ).SetSize( 0, 18 ).LikeSpeedButton;
   {$IFDEF USE_NAMES}
            Result.btPgDn.Name := 'btPgDn';
   {$ENDIF}
    Result.btPgDn.TabStop := FALSE;
            Result.btPgDn.TextShiftX := 1;
            Result.btPgDn.TextShiftY := 1;
    // Result.btDown.TabOrder = 3
            Result.btDown := NewBitBtn( Result.pnScroller, '', [ bboImageList ], glyphLeft, Result.ImageList1.Handle, $10000 + 2 ).SetAlign ( caBottom ).SetSize( 0, 18 ).LikeSpeedButton;
   {$IFDEF USE_NAMES}
            Result.btDown.Name := 'btDown';
   {$ENDIF}
    Result.btDown.TabStop := FALSE;
            Result.btDown.RepeatInterval := 100;
            Result.btDown.TextShiftX := 1;
            Result.btDown.TextShiftY := 1;
    // Result.pnThumb.TabOrder = 5
            Result.pnThumb := NewButton( Result.pnScroller, '' ).SetPosition( 0, 103 ).SetSize( 18, 7 );
   {$IFDEF USE_NAMES}
            Result.pnThumb.Name := 'pnThumb';
   {$ENDIF}
    // Result.pnGFXData.TabOrder = 1
      Result.pnGFXData := NewPanel( Result.Panel21, esNone ).SetAlign ( caBottom ).SetSize( 0, 129 );
   {$IFDEF USE_NAMES}
      Result.pnGFXData.Name := 'pnGFXData';
   {$ENDIF}
      Result.pnGFXData.Border := 0;
      Result.pnGFXData.Visible := False;
    // Result.Panel17.TabOrder = 0
        Result.Panel17 := NewPanel( Result.pnGFXData, esNone ).SetAlign ( caLeft ).SetSize( 31, 0 );
   {$IFDEF USE_NAMES}
        Result.Panel17.Name := 'Panel17';
   {$ENDIF}
        Result.Panel17.Border := 2;
        Result.Panel17.MarginLeft := -2;
    // Result.Toolbar3.TabOrder = 1
            {$R Form2_Toolbar3.res}
          Result.Toolbar3 := NewToolbar( Result.Panel17, caClient, [tboWrapable, tboNoDivider], LoadMappedBitmapEx( Result, hInstance, 'FORM2_TBBMP5000', [ clWhite, Color2RGB( clBtnFace ) ] ), [ ' ', ' ', ' ', ' ', ' ' ], [ 0 ] ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
          Result.Toolbar3.Name := 'Toolbar3';
   {$ENDIF}
            Result.Toolbar3.TBSetTooltips( Result.Toolbar3.TBIndex2Item( 0 ), [ 'Search (Ctrl+''F'',F3)', 'Edit (F4)', 'Save (F5,Ctrl+''S'')', 'Load/Compare (F6)', '&GFX Editor' ] );
            Result.Toolbar3.TBAssignEvents( 1, [ Result.Toolbar3TBGFXEditClick, Result.Toolbar3TBGFXSaveClick, Result.Toolbar3TBGFXLoadClick, Result.Toolbar3TBGFXEditorClick ] );
          Result.Toolbar3.TBButtonVisible[ 0 ] := FALSE;
    // Result.edGFXDataAddr.TabOrder = 0
        Result.edGFXDataAddr := NewEditBox( Result.pnGFXData, [  ] ).SetPosition( 32, 2 ).SetSize( 37, 19 );
   {$IFDEF USE_NAMES}
        Result.edGFXDataAddr.Name := 'edGFXDataAddr';
   {$ENDIF}
    Result.edGFXDataAddr.Font.FontName := 'Courier New';
    Result.edGFXDataAddr.TextAlign := taCenter;
        Result.edGFXDataAddr.Text := '0000';
        Result.edGFXDataAddr.TextAlign := taCenter;
    // Result.LVGFXData.TabOrder = 2
        Result.LVGFXData := NewListView( Result.pnGFXData, lvsDetailNoHeader, [ lvoOwnerData, lvoOwnerDrawFixed ], nil, nil, nil ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
        Result.LVGFXData.Name := 'LVGFXData';
   {$ENDIF}
    Result.LVGFXData.Font.FontName := 'Courier New';
        Result.LVGFXData.DoubleBuffered := True;
        Result.LVGFXData.SetAutoPopupMenu( Result.PopupMenu1 );
        Result.LVGFXData.LVColAdd( 'Col1', taLeft, 50);
    // Result.Splitter2.TabOrder = 3
      Result.Splitter2 := NewSplitter( Result.Panel21, 0, 0 ).SetAlign ( caBottom ).SetSize( 0, 5 );
   {$IFDEF USE_NAMES}
      Result.Splitter2.Name := 'Splitter2';
   {$ENDIF}
      Result.Splitter2.Visible := False;
    // Result.DataPanel.TabOrder = 4
      Result.DataPanel := NewPanel( Result.Panel21, esNone ).SetAlign ( caBottom ).SetSize( 0, 135 );
   {$IFDEF USE_NAMES}
      Result.DataPanel.Name := 'DataPanel';
   {$ENDIF}
      Result.DataPanel.Border := 0;
    // Result.edDataAddr.TabOrder = 0
        Result.edDataAddr := NewEditBox( Result.DataPanel, [  ] ).SetPosition( 32, 2 ).SetSize( 37, 19 );
   {$IFDEF USE_NAMES}
        Result.edDataAddr.Name := 'edDataAddr';
   {$ENDIF}
    Result.edDataAddr.Font.FontName := 'Courier New';
    Result.edDataAddr.TextAlign := taCenter;
        Result.edDataAddr.Text := '0000';
        Result.edDataAddr.TextAlign := taCenter;
    // Result.LVData.TabOrder = 0
        Result.LVData := NewListView( Result.DataPanel, lvsDetailNoHeader, [ lvoOwnerData, lvoOwnerDrawFixed ], nil, nil, nil ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
        Result.LVData.Name := 'LVData';
   {$ENDIF}
    Result.LVData.Font.FontName := 'Courier New';
        Result.LVData.DoubleBuffered := True;
        Result.LVData.SetAutoPopupMenu( Result.PopupMenu1 );
        Result.LVData.LVColAdd( 'Data', taLeft, 50);
    // Result.Panel8.TabOrder = 0
        Result.Panel8 := NewPanel( Result.DataPanel, esNone ).SetAlign ( caLeft ).SetSize( 31, 0 );
   {$IFDEF USE_NAMES}
        Result.Panel8.Name := 'Panel8';
   {$ENDIF}
        Result.Panel8.Border := 2;
        Result.Panel8.MarginLeft := -2;
    // Result.Toolbar2.TabOrder = 1
            {$R Form2_Toolbar2.res}
          Result.Toolbar2 := NewToolbar( Result.Panel8, caClient, [tboWrapable, tboNoDivider], LoadMappedBitmapEx( Result, hInstance, 'FORM2_TBBMP5001', [ clWhite, Color2RGB( clBtnFace ) ] ), [ ' ', ' ', ' ', ' ', '-', ' ' ], [ 0, 1, 2, 3, -2, 4 ] ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
          Result.Toolbar2.Name := 'Toolbar2';
   {$ENDIF}
            Result.Toolbar2.TBSetTooltips( Result.Toolbar2.TBIndex2Item( 0 ), [ 'Search (Shift+F3,F3)', 'Edit (F4)', 'Save (F5,Ctrl+''S'')', 'Load/Compare (F6)', '', 'Assembler' ] );
            Result.Toolbar2.TBAssignEvents( 0, [ Result.Toolbar2TBSearchClick, Result.Toolbar2TBEditClick, Result.Toolbar2TBSaveClick, Result.Toolbar2TBLoadClick, nil, Result.Toolbar2TBAsm2Click ] );
    // Result.Splitter1.TabOrder = 5
      Result.Splitter1 := NewSplitter( Result.Panel21, 0, 0 ).SetAlign ( caBottom ).SetSize( 0, 6 );
   {$IFDEF USE_NAMES}
      Result.Splitter1.Name := 'Splitter1';
   {$ENDIF}
    // Result.Panel1.TabOrder = 1
    Result.Panel1 := NewPanel( Result.Form, esNone ).SetAlign ( caRight ).SetSize( 168, 0 );
   {$IFDEF USE_NAMES}
    Result.Panel1.Name := 'Panel1';
   {$ENDIF}
    // Result.Panel7.TabOrder = 0
      Result.Panel7 := NewPanel( Result.Panel1, esLowered ).SetAlign ( caTop ).SetSize( 0, 27 );
   {$IFDEF USE_NAMES}
      Result.Panel7.Name := 'Panel7';
   {$ENDIF}
      Result.Panel7.Border := 0;
    // Result.pnROM.TabOrder = 0
        Result.pnROM := NewPanel( Result.Panel7, esNone ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
        Result.pnROM.Name := 'pnROM';
   {$ENDIF}
    Result.pnROM.VerticalAlign := vaCenter;
        Result.pnROM.Border := 2;
        Result.pnROM.Caption := 'ROM';
    // Result.cbROM.TabOrder = 0
          Result.cbROM := NewComboBox( Result.pnROM, [ coReadOnly, coNoIntegralHeight, coSort ] ).SetAlign ( caRight ).SetSize( 94, 0 );
   {$IFDEF USE_NAMES}
          Result.cbROM.Name := 'cbROM';
   {$ENDIF}
          Result.cbROM.Items[ 0 ] := '0 : S128 ROM';
          Result.cbROM.Items[ 1 ] := '1 : S48 ROM';
          Result.cbROM.Items[ 2 ] := '2 : TRDOS ROM';
          Result.cbROM.Items[ 3 ] := '3 : Interface1 ROM+8K RAM';
          Result.cbROM.CurIndex := 0;
    // Result.pnVideo.TabOrder = 1
        Result.pnVideo := NewPanel( Result.Panel7, esNone ).SetAlign ( caRight ).SetSize( 37, 0 );
   {$IFDEF USE_NAMES}
        Result.pnVideo.Name := 'pnVideo';
   {$ENDIF}
    Result.pnVideo.VerticalAlign := vaCenter;
        Result.pnVideo.Border := 2;
        Result.pnVideo.Caption := 'Vid';
    // Result.edVideo.TabOrder = 0
          Result.edVideo := NewEditBox( Result.pnVideo, [  ] ).SetAlign ( caRight ).SetSize( 16, 0 );
   {$IFDEF USE_NAMES}
          Result.edVideo.Name := 'edVideo';
   {$ENDIF}
          Result.edVideo.Text := '0';
    // Result.Panel6.TabOrder = 1
      Result.Panel6 := NewPanel( Result.Panel1, esLowered ).SetAlign ( caTop ).SetSize( 0, 26 );
   {$IFDEF USE_NAMES}
      Result.Panel6.Name := 'Panel6';
   {$ENDIF}
      Result.Panel6.Border := 0;
    // Result.pnRAM.TabOrder = 0
        Result.pnRAM := NewPanel( Result.Panel6, esNone ).SetAlign ( caLeft ).SetSize( 52, 0 );
   {$IFDEF USE_NAMES}
        Result.pnRAM.Name := 'pnRAM';
   {$ENDIF}
    Result.pnRAM.VerticalAlign := vaCenter;
        Result.pnRAM.Border := 2;
        Result.pnRAM.Caption := 'RAM';
    // Result.edRAM.TabOrder = 0
          Result.edRAM := NewEditBox( Result.pnRAM, [  ] ).SetAlign ( caRight ).SetSize( 22, 0 );
   {$IFDEF USE_NAMES}
          Result.edRAM.Name := 'edRAM';
   {$ENDIF}
          Result.edRAM.Text := '0';
    // Result.pnIFF1.TabOrder = 1
        Result.pnIFF1 := NewPanel( Result.Panel6, esNone ).SetAlign ( caLeft ).SetSize( 38, 0 );
   {$IFDEF USE_NAMES}
        Result.pnIFF1.Name := 'pnIFF1';
   {$ENDIF}
    Result.pnIFF1.VerticalAlign := vaCenter;
        Result.pnIFF1.Border := 2;
        Result.pnIFF1.Caption := 'IFF1';
    // Result.edIFF1.TabOrder = 0
          Result.edIFF1 := NewEditBox( Result.pnIFF1, [  ] ).SetAlign ( caRight ).SetSize( 13, 0 );
   {$IFDEF USE_NAMES}
          Result.edIFF1.Name := 'edIFF1';
   {$ENDIF}
          Result.edIFF1.Text := '0';
    // Result.pnIFF2.TabOrder = 2
        Result.pnIFF2 := NewPanel( Result.Panel6, esNone ).SetAlign ( caLeft ).SetSize( 42, 0 );
   {$IFDEF USE_NAMES}
        Result.pnIFF2.Name := 'pnIFF2';
   {$ENDIF}
    Result.pnIFF2.VerticalAlign := vaCenter;
        Result.pnIFF2.Border := 2;
        Result.pnIFF2.Caption := 'IFF2';
    // Result.edIFF2.TabOrder = 0
          Result.edIFF2 := NewEditBox( Result.pnIFF2, [  ] ).SetAlign ( caRight ).SetSize( 14, 0 );
   {$IFDEF USE_NAMES}
          Result.edIFF2.Name := 'edIFF2';
   {$ENDIF}
          Result.edIFF2.Text := '0';
    // Result.pnIMmode.TabOrder = 3
        Result.pnIMmode := NewPanel( Result.Panel6, esNone ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
        Result.pnIMmode.Name := 'pnIMmode';
   {$ENDIF}
    Result.pnIMmode.VerticalAlign := vaCenter;
        Result.pnIMmode.Border := 2;
        Result.pnIMmode.Caption := 'IM';
    // Result.edIMmode.TabOrder = 0
          Result.edIMmode := NewEditBox( Result.pnIMmode, [  ] ).SetAlign ( caRight ).SetSize( 16, 0 );
   {$IFDEF USE_NAMES}
          Result.edIMmode.Name := 'edIMmode';
   {$ENDIF}
          Result.edIMmode.Text := '0';
    // Result.Panel12.TabOrder = 2
      Result.Panel12 := NewPanel( Result.Panel1, esLowered ).SetAlign ( caTop ).SetSize( 0, 25 );
   {$IFDEF USE_NAMES}
      Result.Panel12.Name := 'Panel12';
   {$ENDIF}
      Result.Panel12.Border := 0;
    // Result.pnTState.TabOrder = 0
        Result.pnTState := NewPanel( Result.Panel12, esNone ).SetAlign ( caLeft ).SetSize( 120, 0 );
   {$IFDEF USE_NAMES}
        Result.pnTState.Name := 'pnTState';
   {$ENDIF}
    Result.pnTState.VerticalAlign := vaCenter;
        Result.pnTState.Border := 2;
        Result.pnTState.Caption := ' TState';
    // Result.edTState.TabOrder = 0
          Result.edTState := NewEditBox( Result.pnTState, [  ] ).SetAlign ( caRight ).SetSize( 53, 0 );
   {$IFDEF USE_NAMES}
          Result.edTState.Name := 'edTState';
   {$ENDIF}
          Result.edTState.Enabled := False;
          Result.edTState.Text := '0';
    // Result.pnLastTState.TabOrder = 0
        Result.pnLastTState := NewPanel( Result.Panel12, esNone ).SetAlign ( caLeft ).SetSize( 40, 0 );
   {$IFDEF USE_NAMES}
        Result.pnLastTState.Name := 'pnLastTState';
   {$ENDIF}
    Result.pnLastTState.VerticalAlign := vaCenter;
        Result.pnLastTState.Border := 2;
    // Result.edLastTstate.TabOrder = 0
          Result.edLastTstate := NewEditBox( Result.pnLastTState, [  ] ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
          Result.edLastTstate.Name := 'edLastTstate';
   {$ENDIF}
          Result.edLastTstate.Enabled := False;
          Result.edLastTstate.Text := '0';
    // Result.Panel11.TabOrder = 3
      Result.Panel11 := NewPanel( Result.Panel1, esLowered ).SetAlign ( caTop ).SetSize( 0, 43 );
   {$IFDEF USE_NAMES}
      Result.Panel11.Name := 'Panel11';
   {$ENDIF}
      Result.Panel11.Border := 1;
    // Result.pnSF.TabOrder = 0
        Result.pnSF := NewPanel( Result.Panel11, esNone ).SetAlign ( caLeft ).SetSize( 19, 0 );
   {$IFDEF USE_NAMES}
        Result.pnSF.Name := 'pnSF';
   {$ENDIF}
    Result.pnSF.TextAlign := taCenter;
        Result.pnSF.Border := 0;
        Result.pnSF.Caption := 'S';
    // Result.edSF.TabOrder = 0
          Result.edSF := NewEditBox( Result.pnSF, [  ] ).SetAlign ( caBottom );
   {$IFDEF USE_NAMES}
          Result.edSF.Name := 'edSF';
   {$ENDIF}
          Result.edSF.Text := '0';
    // Result.pnZF.TabOrder = 1
        Result.pnZF := NewPanel( Result.Panel11, esNone ).SetAlign ( caLeft ).SetSize( 19, 0 );
   {$IFDEF USE_NAMES}
        Result.pnZF.Name := 'pnZF';
   {$ENDIF}
    Result.pnZF.TextAlign := taCenter;
        Result.pnZF.Border := 0;
        Result.pnZF.Caption := 'Z';
    // Result.edZF.TabOrder = 0
          Result.edZF := NewEditBox( Result.pnZF, [  ] ).SetAlign ( caBottom );
   {$IFDEF USE_NAMES}
          Result.edZF.Name := 'edZF';
   {$ENDIF}
          Result.edZF.Text := '0';
    // Result.pnYF.TabOrder = 2
        Result.pnYF := NewPanel( Result.Panel11, esNone ).SetAlign ( caLeft ).SetSize( 19, 0 );
   {$IFDEF USE_NAMES}
        Result.pnYF.Name := 'pnYF';
   {$ENDIF}
    Result.pnYF.TextAlign := taCenter;
        Result.pnYF.Border := 0;
        Result.pnYF.Caption := 'Y';
    // Result.edYF.TabOrder = 0
          Result.edYF := NewEditBox( Result.pnYF, [  ] ).SetAlign ( caBottom );
   {$IFDEF USE_NAMES}
          Result.edYF.Name := 'edYF';
   {$ENDIF}
          Result.edYF.Text := '0';
    // Result.pnHF.TabOrder = 3
        Result.pnHF := NewPanel( Result.Panel11, esNone ).SetAlign ( caLeft ).SetSize( 19, 0 );
   {$IFDEF USE_NAMES}
        Result.pnHF.Name := 'pnHF';
   {$ENDIF}
    Result.pnHF.TextAlign := taCenter;
        Result.pnHF.Border := 0;
        Result.pnHF.Caption := 'H';
    // Result.edHF.TabOrder = 0
          Result.edHF := NewEditBox( Result.pnHF, [  ] ).SetAlign ( caBottom );
   {$IFDEF USE_NAMES}
          Result.edHF.Name := 'edHF';
   {$ENDIF}
          Result.edHF.Text := '0';
    // Result.pnXF.TabOrder = 4
        Result.pnXF := NewPanel( Result.Panel11, esNone ).SetAlign ( caLeft ).SetSize( 19, 0 );
   {$IFDEF USE_NAMES}
        Result.pnXF.Name := 'pnXF';
   {$ENDIF}
    Result.pnXF.TextAlign := taCenter;
        Result.pnXF.Border := 0;
        Result.pnXF.Caption := 'X';
    // Result.edXF.TabOrder = 0
          Result.edXF := NewEditBox( Result.pnXF, [  ] ).SetAlign ( caBottom );
   {$IFDEF USE_NAMES}
          Result.edXF.Name := 'edXF';
   {$ENDIF}
          Result.edXF.Text := '0';
    // Result.pnPF.TabOrder = 5
        Result.pnPF := NewPanel( Result.Panel11, esNone ).SetAlign ( caLeft ).SetSize( 19, 0 );
   {$IFDEF USE_NAMES}
        Result.pnPF.Name := 'pnPF';
   {$ENDIF}
    Result.pnPF.TextAlign := taCenter;
        Result.pnPF.Border := 0;
        Result.pnPF.Caption := 'P/V';
    // Result.edPF.TabOrder = 0
          Result.edPF := NewEditBox( Result.pnPF, [  ] ).SetAlign ( caBottom );
   {$IFDEF USE_NAMES}
          Result.edPF.Name := 'edPF';
   {$ENDIF}
          Result.edPF.Text := '0';
    // Result.pnNF.TabOrder = 6
        Result.pnNF := NewPanel( Result.Panel11, esNone ).SetAlign ( caLeft ).SetSize( 19, 0 );
   {$IFDEF USE_NAMES}
        Result.pnNF.Name := 'pnNF';
   {$ENDIF}
    Result.pnNF.TextAlign := taCenter;
        Result.pnNF.Border := 0;
        Result.pnNF.Caption := 'N';
    // Result.edNF.TabOrder = 0
          Result.edNF := NewEditBox( Result.pnNF, [  ] ).SetAlign ( caBottom );
   {$IFDEF USE_NAMES}
          Result.edNF.Name := 'edNF';
   {$ENDIF}
          Result.edNF.Text := '0';
    // Result.pnCF.TabOrder = 7
        Result.pnCF := NewPanel( Result.Panel11, esNone ).SetAlign ( caLeft ).SetSize( 19, 0 );
   {$IFDEF USE_NAMES}
        Result.pnCF.Name := 'pnCF';
   {$ENDIF}
    Result.pnCF.TextAlign := taCenter;
        Result.pnCF.Border := 0;
        Result.pnCF.Caption := 'C';
    // Result.edCF.TabOrder = 0
          Result.edCF := NewEditBox( Result.pnCF, [  ] ).SetAlign ( caBottom );
   {$IFDEF USE_NAMES}
          Result.edCF.Name := 'edCF';
   {$ENDIF}
          Result.edCF.Text := '0';
    // Result.Panel2.TabOrder = 4
      Result.Panel2 := NewPanel( Result.Panel1, esLowered ).SetAlign ( caTop ).SetSize( 0, 179 );
   {$IFDEF USE_NAMES}
      Result.Panel2.Name := 'Panel2';
   {$ENDIF}
      Result.Panel2.Border := 0;
    // Result.Panel3.TabOrder = 0
        Result.Panel3 := NewPanel( Result.Panel2, esNone ).SetAlign ( caLeft ).SetSize( 80, 0 );
   {$IFDEF USE_NAMES}
        Result.Panel3.Name := 'Panel3';
   {$ENDIF}
        Result.Panel3.Border := 2;
    // Result.pnAF.TabOrder = 0
          Result.pnAF := NewPanel( Result.Panel3, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnAF.Name := 'pnAF';
   {$ENDIF}
    Result.pnAF.VerticalAlign := vaCenter;
          Result.pnAF.Caption := ' AF';
    // Result.edAF.TabOrder = 0
            Result.edAF := NewEditBox( Result.pnAF, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edAF.Name := 'edAF';
   {$ENDIF}
    Result.edAF.Font.FontHeight := 16;
    Result.edAF.Font.FontWidth := 8;
    Result.edAF.Font.FontName := 'Courier New';
            Result.edAF.Text := '0000';
    // Result.pnBC.TabOrder = 1
          Result.pnBC := NewPanel( Result.Panel3, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnBC.Name := 'pnBC';
   {$ENDIF}
    Result.pnBC.VerticalAlign := vaCenter;
          Result.pnBC.Caption := ' BC';
    // Result.edBC.TabOrder = 0
            Result.edBC := NewEditBox( Result.pnBC, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edBC.Name := 'edBC';
   {$ENDIF}
    Result.edBC.Font.FontHeight := 16;
    Result.edBC.Font.FontWidth := 8;
    Result.edBC.Font.FontName := 'Courier New';
            Result.edBC.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edBC.Text := '0000';
    // Result.pnDE.TabOrder = 2
          Result.pnDE := NewPanel( Result.Panel3, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnDE.Name := 'pnDE';
   {$ENDIF}
    Result.pnDE.VerticalAlign := vaCenter;
          Result.pnDE.Caption := ' DE';
    // Result.edDE.TabOrder = 0
            Result.edDE := NewEditBox( Result.pnDE, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edDE.Name := 'edDE';
   {$ENDIF}
    Result.edDE.Font.FontHeight := 16;
    Result.edDE.Font.FontWidth := 8;
    Result.edDE.Font.FontName := 'Courier New';
            Result.edDE.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edDE.Text := '0000';
    // Result.pnHL.TabOrder = 3
          Result.pnHL := NewPanel( Result.Panel3, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnHL.Name := 'pnHL';
   {$ENDIF}
    Result.pnHL.VerticalAlign := vaCenter;
          Result.pnHL.Caption := ' HL';
    // Result.edHL.TabOrder = 0
            Result.edHL := NewEditBox( Result.pnHL, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edHL.Name := 'edHL';
   {$ENDIF}
    Result.edHL.Font.FontHeight := 16;
    Result.edHL.Font.FontWidth := 8;
    Result.edHL.Font.FontName := 'Courier New';
            Result.edHL.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edHL.Text := '0000';
    // Result.pnIX.TabOrder = 4
          Result.pnIX := NewPanel( Result.Panel3, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnIX.Name := 'pnIX';
   {$ENDIF}
    Result.pnIX.VerticalAlign := vaCenter;
          Result.pnIX.Caption := ' IX';
    // Result.edIX.TabOrder = 0
            Result.edIX := NewEditBox( Result.pnIX, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edIX.Name := 'edIX';
   {$ENDIF}
    Result.edIX.Font.FontHeight := 16;
    Result.edIX.Font.FontWidth := 8;
    Result.edIX.Font.FontName := 'Courier New';
            Result.edIX.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edIX.Text := '0000';
    // Result.pnPC.TabOrder = 5
          Result.pnPC := NewPanel( Result.Panel3, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnPC.Name := 'pnPC';
   {$ENDIF}
    Result.pnPC.VerticalAlign := vaCenter;
          Result.pnPC.Caption := ' PC';
    // Result.edPC.TabOrder = 0
            Result.edPC := NewEditBox( Result.pnPC, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edPC.Name := 'edPC';
   {$ENDIF}
    Result.edPC.Font.FontHeight := 16;
    Result.edPC.Font.FontWidth := 8;
    Result.edPC.Font.FontName := 'Courier New';
            Result.edPC.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edPC.Text := '0000';
    // Result.pnSP.TabOrder = 6
          Result.pnSP := NewPanel( Result.Panel3, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnSP.Name := 'pnSP';
   {$ENDIF}
    Result.pnSP.VerticalAlign := vaCenter;
          Result.pnSP.Caption := ' SP';
    // Result.edSP.TabOrder = 0
            Result.edSP := NewEditBox( Result.pnSP, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edSP.Name := 'edSP';
   {$ENDIF}
    Result.edSP.Font.FontHeight := 16;
    Result.edSP.Font.FontWidth := 8;
    Result.edSP.Font.FontName := 'Courier New';
            Result.edSP.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edSP.Text := '0000';
    // Result.Panel4.TabOrder = 1
        Result.Panel4 := NewPanel( Result.Panel2, esNone ).SetAlign ( caLeft ).SetSize( 82, 0 );
   {$IFDEF USE_NAMES}
        Result.Panel4.Name := 'Panel4';
   {$ENDIF}
        Result.Panel4.Border := 2;
    // Result.pnAFalt.TabOrder = 0
          Result.pnAFalt := NewPanel( Result.Panel4, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnAFalt.Name := 'pnAFalt';
   {$ENDIF}
    Result.pnAFalt.VerticalAlign := vaCenter;
          Result.pnAFalt.Caption := ' AF''';
    // Result.edAFalt.TabOrder = 0
            Result.edAFalt := NewEditBox( Result.pnAFalt, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edAFalt.Name := 'edAFalt';
   {$ENDIF}
    Result.edAFalt.Font.FontHeight := 16;
    Result.edAFalt.Font.FontWidth := 8;
    Result.edAFalt.Font.FontName := 'Courier New';
            Result.edAFalt.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edAFalt.Text := '0000';
    // Result.pnBCalt.TabOrder = 1
          Result.pnBCalt := NewPanel( Result.Panel4, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnBCalt.Name := 'pnBCalt';
   {$ENDIF}
    Result.pnBCalt.VerticalAlign := vaCenter;
          Result.pnBCalt.Caption := ' BC''';
    // Result.edBCalt.TabOrder = 0
            Result.edBCalt := NewEditBox( Result.pnBCalt, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edBCalt.Name := 'edBCalt';
   {$ENDIF}
    Result.edBCalt.Font.FontHeight := 16;
    Result.edBCalt.Font.FontWidth := 8;
    Result.edBCalt.Font.FontName := 'Courier New';
            Result.edBCalt.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edBCalt.Text := '0000';
    // Result.pnDEalt.TabOrder = 2
          Result.pnDEalt := NewPanel( Result.Panel4, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnDEalt.Name := 'pnDEalt';
   {$ENDIF}
    Result.pnDEalt.VerticalAlign := vaCenter;
          Result.pnDEalt.Caption := ' DE''';
    // Result.edDEalt.TabOrder = 0
            Result.edDEalt := NewEditBox( Result.pnDEalt, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edDEalt.Name := 'edDEalt';
   {$ENDIF}
    Result.edDEalt.Font.FontHeight := 16;
    Result.edDEalt.Font.FontWidth := 8;
    Result.edDEalt.Font.FontName := 'Courier New';
            Result.edDEalt.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edDEalt.Text := '0000';
    // Result.pnHLalt.TabOrder = 3
          Result.pnHLalt := NewPanel( Result.Panel4, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnHLalt.Name := 'pnHLalt';
   {$ENDIF}
    Result.pnHLalt.VerticalAlign := vaCenter;
          Result.pnHLalt.Caption := ' HL''';
    // Result.edHLalt.TabOrder = 0
            Result.edHLalt := NewEditBox( Result.pnHLalt, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edHLalt.Name := 'edHLalt';
   {$ENDIF}
    Result.edHLalt.Font.FontHeight := 16;
    Result.edHLalt.Font.FontWidth := 8;
    Result.edHLalt.Font.FontName := 'Courier New';
            Result.edHLalt.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edHLalt.Text := '0000';
    // Result.pnIY.TabOrder = 4
          Result.pnIY := NewPanel( Result.Panel4, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnIY.Name := 'pnIY';
   {$ENDIF}
    Result.pnIY.VerticalAlign := vaCenter;
          Result.pnIY.Caption := ' IY';
    // Result.edIY.TabOrder = 0
            Result.edIY := NewEditBox( Result.pnIY, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edIY.Name := 'edIY';
   {$ENDIF}
    Result.edIY.Font.FontHeight := 16;
    Result.edIY.Font.FontWidth := 8;
    Result.edIY.Font.FontName := 'Courier New';
            Result.edIY.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edIY.Text := '0000';
    // Result.Panel27.TabOrder = 5
          Result.Panel27 := NewPanel( Result.Panel4, esNone ).SetAlign ( caTop ).SetSize( 0, 22 );
   {$IFDEF USE_NAMES}
          Result.Panel27.Name := 'Panel27';
   {$ENDIF}
          Result.Panel27.Border := 0;
          Result.Panel27.MarginTop := 2;
    // Result.btPC.TabOrder = 0
            Result.btPC := NewBitBtn( Result.Panel27, '>', [  ], glyphLeft, 0, 0 ).SetAlign ( caLeft ).SetSize( 19, 0 ).LikeSpeedButton;
   {$IFDEF USE_NAMES}
            Result.btPC.Name := 'btPC';
   {$ENDIF}
    Result.btPC.TabStop := FALSE;
            Result.btPC.TextShiftX := 1;
            Result.btPC.TextShiftY := 1;
    // Result.pnI.TabOrder = 0
            Result.pnI := NewPanel( Result.Panel27, esNone ).SetAlign ( caRight ).SetSize( 48, 0 );
   {$IFDEF USE_NAMES}
            Result.pnI.Name := 'pnI';
   {$ENDIF}
    Result.pnI.VerticalAlign := vaCenter;
            Result.pnI.Caption := '  I';
    // Result.edI.TabOrder = 0
              Result.edI := NewEditBox( Result.pnI, [  ] ).SetAlign ( caRight ).SetSize( 30, 0 );
   {$IFDEF USE_NAMES}
              Result.edI.Name := 'edI';
   {$ENDIF}
    Result.edI.Font.FontHeight := 16;
    Result.edI.Font.FontWidth := 8;
    Result.edI.Font.FontName := 'Courier New';
              Result.edI.Cursor := LoadCursor( 0, IDC_IBEAM );
              Result.edI.Text := '00';
    // Result.Panel29.TabOrder = 5
          Result.Panel29 := NewPanel( Result.Panel4, esNone ).SetAlign ( caTop ).SetSize( 0, 22 );
   {$IFDEF USE_NAMES}
          Result.Panel29.Name := 'Panel29';
   {$ENDIF}
          Result.Panel29.Border := 0;
          Result.Panel29.MarginTop := 2;
    // Result.btSP.TabOrder = 0
            Result.btSP := NewBitBtn( Result.Panel29, '>', [  ], glyphLeft, 0, 0 ).SetAlign ( caLeft ).SetSize( 19, 0 ).LikeSpeedButton;
   {$IFDEF USE_NAMES}
            Result.btSP.Name := 'btSP';
   {$ENDIF}
    Result.btSP.TabStop := FALSE;
            Result.btSP.TextShiftX := 1;
            Result.btSP.TextShiftY := 1;
    // Result.pnR.TabOrder = 1
            Result.pnR := NewPanel( Result.Panel29, esNone ).SetAlign ( caRight ).SetSize( 48, 0 );
   {$IFDEF USE_NAMES}
            Result.pnR.Name := 'pnR';
   {$ENDIF}
    Result.pnR.VerticalAlign := vaCenter;
            Result.pnR.Caption := ' R';
    // Result.edR.TabOrder = 0
              Result.edR := NewEditBox( Result.pnR, [  ] ).SetAlign ( caRight ).SetSize( 30, 0 );
   {$IFDEF USE_NAMES}
              Result.edR.Name := 'edR';
   {$ENDIF}
    Result.edR.Font.FontHeight := 16;
    Result.edR.Font.FontWidth := 8;
    Result.edR.Font.FontName := 'Courier New';
              Result.edR.Cursor := LoadCursor( 0, IDC_IBEAM );
              Result.edR.Text := '00';
    // Result.pnAY.TabOrder = 5
      Result.pnAY := NewPanel( Result.Panel1, esLowered ).SetAlign ( caTop ).SetSize( 0, 122 );
   {$IFDEF USE_NAMES}
      Result.pnAY.Name := 'pnAY';
   {$ENDIF}
      Result.pnAY.Border := 0;
      Result.pnAY.Visible := False;
    // Result.Panel15.TabOrder = 0
        Result.Panel15 := NewPanel( Result.pnAY, esNone ).SetAlign ( caLeft ).SetSize( 87, 0 );
   {$IFDEF USE_NAMES}
        Result.Panel15.Name := 'Panel15';
   {$ENDIF}
        Result.Panel15.MarginTop := 2;
    // Result.pnTonA.TabOrder = 0
          Result.pnTonA := NewPanel( Result.Panel15, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnTonA.Name := 'pnTonA';
   {$ENDIF}
    Result.pnTonA.VerticalAlign := vaCenter;
          Result.pnTonA.Border := 2;
          Result.pnTonA.Caption := ' TonA';
    // Result.edTonA.TabOrder = 0
            Result.edTonA := NewEditBox( Result.pnTonA, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edTonA.Name := 'edTonA';
   {$ENDIF}
    Result.edTonA.Font.FontHeight := 16;
    Result.edTonA.Font.FontWidth := 7;
    Result.edTonA.Font.FontName := 'Courier New';
            Result.edTonA.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edTonA.Text := '000';
    // Result.pnTonB.TabOrder = 1
          Result.pnTonB := NewPanel( Result.Panel15, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnTonB.Name := 'pnTonB';
   {$ENDIF}
    Result.pnTonB.VerticalAlign := vaCenter;
          Result.pnTonB.Border := 2;
          Result.pnTonB.Caption := ' TonB';
    // Result.edTonB.TabOrder = 0
            Result.edTonB := NewEditBox( Result.pnTonB, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edTonB.Name := 'edTonB';
   {$ENDIF}
            Result.edTonB.Tag := 2;
    Result.edTonB.Font.FontHeight := 16;
    Result.edTonB.Font.FontWidth := 7;
    Result.edTonB.Font.FontName := 'Courier New';
            Result.edTonB.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edTonB.Text := '000';
    // Result.pnTonC.TabOrder = 2
          Result.pnTonC := NewPanel( Result.Panel15, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnTonC.Name := 'pnTonC';
   {$ENDIF}
    Result.pnTonC.VerticalAlign := vaCenter;
          Result.pnTonC.Border := 2;
          Result.pnTonC.Caption := ' TonC';
    // Result.edTonC.TabOrder = 0
            Result.edTonC := NewEditBox( Result.pnTonC, [  ] ).SetAlign ( caRight ).SetSize( 46, 0 );
   {$IFDEF USE_NAMES}
            Result.edTonC.Name := 'edTonC';
   {$ENDIF}
            Result.edTonC.Tag := 4;
    Result.edTonC.Font.FontHeight := 16;
    Result.edTonC.Font.FontWidth := 7;
    Result.edTonC.Font.FontName := 'Courier New';
            Result.edTonC.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edTonC.Text := '000';
    // Result.pnEnvP.TabOrder = 3
          Result.pnEnvP := NewPanel( Result.Panel15, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnEnvP.Name := 'pnEnvP';
   {$ENDIF}
    Result.pnEnvP.VerticalAlign := vaCenter;
          Result.pnEnvP.Border := 2;
          Result.pnEnvP.Caption := ' EnvP';
    // Result.edEnvP.TabOrder = 0
            Result.edEnvP := NewEditBox( Result.pnEnvP, [  ] ).SetAlign ( caRight ).SetSize( 45, 0 );
   {$IFDEF USE_NAMES}
            Result.edEnvP.Name := 'edEnvP';
   {$ENDIF}
            Result.edEnvP.Tag := 11;
    Result.edEnvP.Font.FontHeight := 16;
    Result.edEnvP.Font.FontWidth := 7;
    Result.edEnvP.Font.FontName := 'Courier New';
            Result.edEnvP.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edEnvP.Text := '0000';
    // Result.pnNoise.TabOrder = 4
          Result.pnNoise := NewPanel( Result.Panel15, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnNoise.Name := 'pnNoise';
   {$ENDIF}
    Result.pnNoise.VerticalAlign := vaCenter;
          Result.pnNoise.Border := 2;
          Result.pnNoise.Caption := ' Noise';
    // Result.edNoise.TabOrder = 0
            Result.edNoise := NewEditBox( Result.pnNoise, [  ] ).SetAlign ( caRight ).SetSize( 45, 0 );
   {$IFDEF USE_NAMES}
            Result.edNoise.Name := 'edNoise';
   {$ENDIF}
            Result.edNoise.Tag := 6;
    Result.edNoise.Font.FontHeight := 16;
    Result.edNoise.Font.FontWidth := 7;
    Result.edNoise.Font.FontName := 'Courier New';
            Result.edNoise.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edNoise.Text := '00';
    // Result.Panel10.TabOrder = 0
        Result.Panel10 := NewPanel( Result.pnAY, esNone ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
        Result.Panel10.Name := 'Panel10';
   {$ENDIF}
        Result.Panel10.MarginTop := 2;
    // Result.pnAmpA.TabOrder = 0
          Result.pnAmpA := NewPanel( Result.Panel10, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnAmpA.Name := 'pnAmpA';
   {$ENDIF}
    Result.pnAmpA.VerticalAlign := vaCenter;
          Result.pnAmpA.Border := 2;
          Result.pnAmpA.Caption := '  AmpA';
    // Result.edAmpA.TabOrder = 0
            Result.edAmpA := NewEditBox( Result.pnAmpA, [  ] ).SetAlign ( caRight ).SetSize( 30, 0 );
   {$IFDEF USE_NAMES}
            Result.edAmpA.Name := 'edAmpA';
   {$ENDIF}
            Result.edAmpA.Tag := 8;
    Result.edAmpA.Font.FontHeight := 16;
    Result.edAmpA.Font.FontWidth := 7;
    Result.edAmpA.Font.FontName := 'Courier New';
            Result.edAmpA.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edAmpA.Text := '00';
    // Result.pnAmpB.TabOrder = 1
          Result.pnAmpB := NewPanel( Result.Panel10, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnAmpB.Name := 'pnAmpB';
   {$ENDIF}
    Result.pnAmpB.VerticalAlign := vaCenter;
          Result.pnAmpB.Border := 2;
          Result.pnAmpB.Caption := '  AmpB';
    // Result.edAmpB.TabOrder = 0
            Result.edAmpB := NewEditBox( Result.pnAmpB, [  ] ).SetAlign ( caRight ).SetSize( 30, 0 );
   {$IFDEF USE_NAMES}
            Result.edAmpB.Name := 'edAmpB';
   {$ENDIF}
            Result.edAmpB.Tag := 9;
    Result.edAmpB.Font.FontHeight := 16;
    Result.edAmpB.Font.FontWidth := 7;
    Result.edAmpB.Font.FontName := 'Courier New';
            Result.edAmpB.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edAmpB.Text := '00';
    // Result.pnAmpC.TabOrder = 2
          Result.pnAmpC := NewPanel( Result.Panel10, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnAmpC.Name := 'pnAmpC';
   {$ENDIF}
    Result.pnAmpC.VerticalAlign := vaCenter;
          Result.pnAmpC.Border := 2;
          Result.pnAmpC.Caption := '  AmpC';
    // Result.edAmpC.TabOrder = 0
            Result.edAmpC := NewEditBox( Result.pnAmpC, [  ] ).SetAlign ( caRight ).SetSize( 30, 0 );
   {$IFDEF USE_NAMES}
            Result.edAmpC.Name := 'edAmpC';
   {$ENDIF}
            Result.edAmpC.Tag := 10;
    Result.edAmpC.Font.FontHeight := 16;
    Result.edAmpC.Font.FontWidth := 7;
    Result.edAmpC.Font.FontName := 'Courier New';
            Result.edAmpC.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edAmpC.Text := '00';
    // Result.pnEnvSh.TabOrder = 3
          Result.pnEnvSh := NewPanel( Result.Panel10, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnEnvSh.Name := 'pnEnvSh';
   {$ENDIF}
    Result.pnEnvSh.VerticalAlign := vaCenter;
          Result.pnEnvSh.Border := 2;
          Result.pnEnvSh.Caption := '  EnvSh';
    // Result.edEnvSh.TabOrder = 0
            Result.edEnvSh := NewEditBox( Result.pnEnvSh, [  ] ).SetAlign ( caRight ).SetSize( 30, 0 );
   {$IFDEF USE_NAMES}
            Result.edEnvSh.Name := 'edEnvSh';
   {$ENDIF}
            Result.edEnvSh.Tag := 13;
    Result.edEnvSh.Font.FontHeight := 16;
    Result.edEnvSh.Font.FontWidth := 7;
    Result.edEnvSh.Font.FontName := 'Courier New';
            Result.edEnvSh.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edEnvSh.Text := '0';
    // Result.pnMixer.TabOrder = 4
          Result.pnMixer := NewPanel( Result.Panel10, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnMixer.Name := 'pnMixer';
   {$ENDIF}
    Result.pnMixer.VerticalAlign := vaCenter;
          Result.pnMixer.Border := 2;
          Result.pnMixer.Caption := '  Mixer';
    // Result.edMixer.TabOrder = 0
            Result.edMixer := NewEditBox( Result.pnMixer, [  ] ).SetAlign ( caRight ).SetSize( 30, 0 );
   {$IFDEF USE_NAMES}
            Result.edMixer.Name := 'edMixer';
   {$ENDIF}
            Result.edMixer.Tag := 7;
    Result.edMixer.Font.FontHeight := 16;
    Result.edMixer.Font.FontWidth := 7;
    Result.edMixer.Font.FontName := 'Courier New';
            Result.edMixer.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edMixer.Text := '00';
    // Result.pnGFXReg.TabOrder = 6
      Result.pnGFXReg := NewPanel( Result.Panel1, esLowered ).SetAlign ( caTop ).SetSize( 0, 282 );
   {$IFDEF USE_NAMES}
      Result.pnGFXReg.Name := 'pnGFXReg';
   {$ENDIF}
      Result.pnGFXReg.Border := 0;
      Result.pnGFXReg.Visible := False;
    // Result.Panel16.TabOrder = 0
        Result.Panel16 := NewPanel( Result.pnGFXReg, esNone ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
        Result.Panel16.Name := 'Panel16';
   {$ENDIF}
        Result.Panel16.MarginTop := 2;
    // Result.pnGFX_A.TabOrder = 0
          Result.pnGFX_A := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_A.Name := 'pnGFX_A';
   {$ENDIF}
    Result.pnGFX_A.VerticalAlign := vaCenter;
          Result.pnGFX_A.Border := 2;
          Result.pnGFX_A.Caption := '  A';
    // Result.edGFX_A.TabOrder = 0
            Result.edGFX_A := NewEditBox( Result.pnGFX_A, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_A.Name := 'edGFX_A';
   {$ENDIF}
            Result.edGFX_A.Tag := 7;
    Result.edGFX_A.Font.FontHeight := 16;
    Result.edGFX_A.Font.FontWidth := 7;
    Result.edGFX_A.Font.FontName := 'Courier New';
            Result.edGFX_A.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_A.Text := '00000000.00000000';
    // Result.pnGFX_F.TabOrder = 1
          Result.pnGFX_F := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_F.Name := 'pnGFX_F';
   {$ENDIF}
    Result.pnGFX_F.VerticalAlign := vaCenter;
          Result.pnGFX_F.Border := 2;
          Result.pnGFX_F.Caption := '  F';
    // Result.edGFX_F.TabOrder = 0
            Result.edGFX_F := NewEditBox( Result.pnGFX_F, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_F.Name := 'edGFX_F';
   {$ENDIF}
            Result.edGFX_F.Tag := 6;
    Result.edGFX_F.Font.FontHeight := 16;
    Result.edGFX_F.Font.FontWidth := 7;
    Result.edGFX_F.Font.FontName := 'Courier New';
            Result.edGFX_F.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_F.Text := '00000000.00000000';
    // Result.pnGFX_B.TabOrder = 2
          Result.pnGFX_B := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_B.Name := 'pnGFX_B';
   {$ENDIF}
    Result.pnGFX_B.VerticalAlign := vaCenter;
          Result.pnGFX_B.Border := 2;
          Result.pnGFX_B.Caption := '  B';
    // Result.edGFX_B.TabOrder = 0
            Result.edGFX_B := NewEditBox( Result.pnGFX_B, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_B.Name := 'edGFX_B';
   {$ENDIF}
            Result.edGFX_B.Tag := 10;
    Result.edGFX_B.Font.FontHeight := 16;
    Result.edGFX_B.Font.FontWidth := 7;
    Result.edGFX_B.Font.FontName := 'Courier New';
            Result.edGFX_B.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_B.Text := '00000000.00000000';
    // Result.pnGFX_C.TabOrder = 3
          Result.pnGFX_C := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_C.Name := 'pnGFX_C';
   {$ENDIF}
    Result.pnGFX_C.VerticalAlign := vaCenter;
          Result.pnGFX_C.Border := 2;
          Result.pnGFX_C.Caption := '  C';
    // Result.edGFX_C.TabOrder = 0
            Result.edGFX_C := NewEditBox( Result.pnGFX_C, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_C.Name := 'edGFX_C';
   {$ENDIF}
            Result.edGFX_C.Tag := 9;
    Result.edGFX_C.Font.FontHeight := 16;
    Result.edGFX_C.Font.FontWidth := 7;
    Result.edGFX_C.Font.FontName := 'Courier New';
            Result.edGFX_C.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_C.Text := '00000000.00000000';
    // Result.pnGFX_D.TabOrder = 4
          Result.pnGFX_D := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_D.Name := 'pnGFX_D';
   {$ENDIF}
    Result.pnGFX_D.VerticalAlign := vaCenter;
          Result.pnGFX_D.Border := 2;
          Result.pnGFX_D.Caption := '  D';
    // Result.edGFX_D.TabOrder = 0
            Result.edGFX_D := NewEditBox( Result.pnGFX_D, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_D.Name := 'edGFX_D';
   {$ENDIF}
            Result.edGFX_D.Tag := 12;
    Result.edGFX_D.Font.FontHeight := 16;
    Result.edGFX_D.Font.FontWidth := 7;
    Result.edGFX_D.Font.FontName := 'Courier New';
            Result.edGFX_D.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_D.Text := '00000000.00000000';
    // Result.pnGFX_E.TabOrder = 5
          Result.pnGFX_E := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_E.Name := 'pnGFX_E';
   {$ENDIF}
    Result.pnGFX_E.VerticalAlign := vaCenter;
          Result.pnGFX_E.Border := 2;
          Result.pnGFX_E.Caption := '  E';
    // Result.edGFX_E.TabOrder = 0
            Result.edGFX_E := NewEditBox( Result.pnGFX_E, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_E.Name := 'edGFX_E';
   {$ENDIF}
            Result.edGFX_E.Tag := 11;
    Result.edGFX_E.Font.FontHeight := 16;
    Result.edGFX_E.Font.FontWidth := 7;
    Result.edGFX_E.Font.FontName := 'Courier New';
            Result.edGFX_E.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_E.Text := '00000000.00000000';
    // Result.pnGFX_H.TabOrder = 6
          Result.pnGFX_H := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_H.Name := 'pnGFX_H';
   {$ENDIF}
    Result.pnGFX_H.VerticalAlign := vaCenter;
          Result.pnGFX_H.Border := 2;
          Result.pnGFX_H.Caption := '  H';
    // Result.edGFX_H.TabOrder = 0
            Result.edGFX_H := NewEditBox( Result.pnGFX_H, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_H.Name := 'edGFX_H';
   {$ENDIF}
            Result.edGFX_H.Tag := 14;
    Result.edGFX_H.Font.FontHeight := 16;
    Result.edGFX_H.Font.FontWidth := 7;
    Result.edGFX_H.Font.FontName := 'Courier New';
            Result.edGFX_H.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_H.Text := '00000000.00000000';
    // Result.pnGFX_L.TabOrder = 7
          Result.pnGFX_L := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_L.Name := 'pnGFX_L';
   {$ENDIF}
    Result.pnGFX_L.VerticalAlign := vaCenter;
          Result.pnGFX_L.Border := 2;
          Result.pnGFX_L.Caption := '  L';
    // Result.edGFX_L.TabOrder = 0
            Result.edGFX_L := NewEditBox( Result.pnGFX_L, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_L.Name := 'edGFX_L';
   {$ENDIF}
            Result.edGFX_L.Tag := 13;
    Result.edGFX_L.Font.FontHeight := 16;
    Result.edGFX_L.Font.FontWidth := 7;
    Result.edGFX_L.Font.FontName := 'Courier New';
            Result.edGFX_L.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_L.Text := '00000000.00000000';
    // Result.pnGFX_IXH.TabOrder = 8
          Result.pnGFX_IXH := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_IXH.Name := 'pnGFX_IXH';
   {$ENDIF}
    Result.pnGFX_IXH.VerticalAlign := vaCenter;
          Result.pnGFX_IXH.Border := 2;
          Result.pnGFX_IXH.Caption := '  IXH';
    // Result.edGFX_IXH.TabOrder = 0
            Result.edGFX_IXH := NewEditBox( Result.pnGFX_IXH, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_IXH.Name := 'edGFX_IXH';
   {$ENDIF}
            Result.edGFX_IXH.Tag := 1;
    Result.edGFX_IXH.Font.FontHeight := 16;
    Result.edGFX_IXH.Font.FontWidth := 7;
    Result.edGFX_IXH.Font.FontName := 'Courier New';
            Result.edGFX_IXH.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_IXH.Text := '00000000.00000000';
    // Result.pnGFX_IXL.TabOrder = 9
          Result.pnGFX_IXL := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_IXL.Name := 'pnGFX_IXL';
   {$ENDIF}
    Result.pnGFX_IXL.VerticalAlign := vaCenter;
          Result.pnGFX_IXL.Border := 2;
          Result.pnGFX_IXL.Caption := '  IXL';
    // Result.edGFX_IXL.TabOrder = 0
            Result.edGFX_IXL := NewEditBox( Result.pnGFX_IXL, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_IXL.Name := 'edGFX_IXL';
   {$ENDIF}
    Result.edGFX_IXL.Font.FontHeight := 16;
    Result.edGFX_IXL.Font.FontWidth := 7;
    Result.edGFX_IXL.Font.FontName := 'Courier New';
            Result.edGFX_IXL.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_IXL.Text := '00000000.00000000';
    // Result.pnGFX_IYH.TabOrder = 10
          Result.pnGFX_IYH := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_IYH.Name := 'pnGFX_IYH';
   {$ENDIF}
    Result.pnGFX_IYH.VerticalAlign := vaCenter;
          Result.pnGFX_IYH.Border := 2;
          Result.pnGFX_IYH.Caption := '  IYH';
    // Result.edGFX_IYH.TabOrder = 0
            Result.edGFX_IYH := NewEditBox( Result.pnGFX_IYH, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_IYH.Name := 'edGFX_IYH';
   {$ENDIF}
            Result.edGFX_IYH.Tag := 3;
    Result.edGFX_IYH.Font.FontHeight := 16;
    Result.edGFX_IYH.Font.FontWidth := 7;
    Result.edGFX_IYH.Font.FontName := 'Courier New';
            Result.edGFX_IYH.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_IYH.Text := '00000000.00000000';
    // Result.pnGFX_IYL.TabOrder = 11
          Result.pnGFX_IYL := NewPanel( Result.Panel16, esNone ).SetAlign ( caTop ).SetSize( 0, 23 );
   {$IFDEF USE_NAMES}
          Result.pnGFX_IYL.Name := 'pnGFX_IYL';
   {$ENDIF}
    Result.pnGFX_IYL.VerticalAlign := vaCenter;
          Result.pnGFX_IYL.Border := 2;
          Result.pnGFX_IYL.Caption := '  IYL';
    // Result.edGFX_IYL.TabOrder = 0
            Result.edGFX_IYL := NewEditBox( Result.pnGFX_IYL, [  ] ).SetAlign ( caRight ).SetSize( 129, 0 );
   {$IFDEF USE_NAMES}
            Result.edGFX_IYL.Name := 'edGFX_IYL';
   {$ENDIF}
            Result.edGFX_IYL.Tag := 2;
    Result.edGFX_IYL.Font.FontHeight := 16;
    Result.edGFX_IYL.Font.FontWidth := 7;
    Result.edGFX_IYL.Font.FontName := 'Courier New';
            Result.edGFX_IYL.Cursor := LoadCursor( 0, IDC_IBEAM );
            Result.edGFX_IYL.Text := '00000000.00000000';
    // Result.Panel20.TabOrder = 7
      Result.Panel20 := NewPanel( Result.Panel1, esNone ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
      Result.Panel20.Name := 'Panel20';
   {$ENDIF}
      Result.Panel20.Border := 0;
    // Result.LVStack.TabOrder = 0
        Result.LVStack := NewListView( Result.Panel20, lvsDetailNoHeader, [ lvoEditLabel, lvoRowSelect, lvoOwnerData, lvoOwnerDrawFixed ], nil, nil, nil ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
        Result.LVStack.Name := 'LVStack';
   {$ENDIF}
    Result.LVStack.Font.FontName := 'Courier New';
        Result.LVStack.DoubleBuffered := True;
        Result.LVStack.LVBkColor := clBtnFace;
        Result.LVStack.LVColAdd( 'Value', taLeft, 36);
        Result.LVStack.LVColAdd( 'SP', taLeft, 26);
        Result.LVStack.LVColAdd( 'Addr', taLeft, 40);
        Result.LVStack.LVColAdd( 'Chars', taLeft, 40);
    // Result.Panel5.TabOrder = 2
    Result.Panel5 := NewPanel( Result.Form, esNone ).SetAlign ( caTop ).SetSize( 0, 31 );
   {$IFDEF USE_NAMES}
    Result.Panel5.Name := 'Panel5';
   {$ENDIF}
    Result.Panel5.Border := 0;
    // Result.Panel13.TabOrder = 0
      Result.Panel13 := NewPanel( Result.Panel5, esNone ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
      Result.Panel13.Name := 'Panel13';
   {$ENDIF}
    // Result.Panel14.TabOrder = 0
        Result.Panel14 := NewPanel( Result.Panel13, esNone ).SetAlign ( caTop ).SetSize( 0, 5 );
   {$IFDEF USE_NAMES}
        Result.Panel14.Name := 'Panel14';
   {$ENDIF}
        Result.Panel14.Border := 2;
    // Result.Toolbar1.TabOrder = 2
          {$R Form2_Toolbar1.res}
        Result.Toolbar1 := NewToolbar( Result.Panel13, caTop, [tboNoDivider], 0, [ ' ', ' ', ' ', ' ', '-', ' ', ' ', '-', ' ', ' ', ' ', '-', ' ', ' ', '-', ' ', '-', '- ', ' ', '+ ', '^ ' ], [ 0, 1, 2, 3, -2, 4, 5, -2, 6, 7, 8, -2, 16, 17, -2, 28, -2, 9, 10, 11, 12 ] ).SetAlign ( caTop );
   {$IFDEF USE_NAMES}
        Result.Toolbar1.Name := 'Toolbar1';
   {$ENDIF}
          Result.Toolbar1.TBBtnImgWidth := 16;
          Result.Toolbar1.TBAddBitmap( LoadMappedBitmapEx( Result.Toolbar1, hInstance, 'FORM2_TBBMP5002', [ clWhite, Color2RGB( clBtnFace ) ] ) );
          Result.Toolbar1.TBAddBitmap( THandle( -1 ) );
          Result.Toolbar1.TBAddBitmap( THandle( -9 ) );
          Result.Toolbar1.TBSetTooltips( Result.Toolbar1.TBIndex2Item( 0 ), [ 'Stop (F12)', 'Previous Break Point (<)', 'Add/Remove Break Point (F2)', 'Next Break Point (>)', '', 'Step Into (F7)', 'Step Over (F8)', '', 'Run (F9)', 'Trace (F10)', 'Run Until End Of Frame (Alt+F9)', '', 'Undo (Ctrl+Z)', 'Redo (Ctrl+Shift+Z)', '', 'Back', '', 'Decimal View', 'Assembler', 'Allow Edit ROM', 'Tools' ] );
          Result.Toolbar1.TBAssignEvents( 0, [ Result.Toolbar1TBStopClick, Result.Toolbar1TBPrevBrkClick, Result.Toolbar1TBBreakClick, Result.Toolbar1TBNextBrkClick, nil, Result.Toolbar1TBStepIntoClick, Result.Toolbar1TBStepOverClick, nil, Result.Toolbar1TBRunClick, Result.Toolbar1TBTraceClick, Result.Toolbar1TBUntilFrameClick, nil, Result.Toolbar1TBUndoClick, Result.Toolbar1TBRedoClick, nil, Result.Toolbar1TBHistBackClick, nil, Result.Toolbar1TBDecimalClick, Result.Toolbar1TBAsm1Click, Result.Toolbar1TBEditROMClick, Result.Toolbar1TBToolsClick ] );
        Result.Toolbar1.TBButtonVisible[ 18 ] := FALSE;
        Result.Toolbar1.TBButtonEnabled[ 15 ] := FALSE;
        Result.Toolbar1.TBButtonEnabled[ 13 ] := FALSE;
        Result.Toolbar1.TBButtonEnabled[ 12 ] := FALSE;
        Result.Toolbar1.TBButtonEnabled[ 9 ] := FALSE;
        Result.Toolbar1.TBButtonEnabled[ 8 ] := FALSE;
        Result.Toolbar1.TBButtonEnabled[ 6 ] := FALSE;
        Result.Toolbar1.TBButtonEnabled[ 5 ] := FALSE;
        Result.Toolbar1.TBButtonEnabled[ 3 ] := FALSE;
        Result.Toolbar1.TBButtonEnabled[ 1 ] := FALSE;
    // Result.Label1.TabOrder = -1
          Result.Label1 := NewLabel( Result.Toolbar1, ' ' ).SetPosition( 496, 0 ).AutoSize( TRUE );
   {$IFDEF USE_NAMES}
          Result.Label1.Name := 'Label1';
   {$ENDIF}
      Result.btPC.OnClick := Result.btPCClick;
      Result.btSP.OnClick := Result.btSPClick;
    Result.edIMmode.Color := clWindow;
      Result.edIMmode.OnEnter := Result.edCodeAddrEnter;
      Result.edIMmode.OnChange := Result.edIMmodeChange;
    Result.edI.Color := clWindow;
      Result.edI.OnEnter := Result.edCodeAddrEnter;
      Result.edI.OnChange := Result.edIChange;
    Result.edR.Color := clWindow;
      Result.edR.OnEnter := Result.edCodeAddrEnter;
      Result.edR.OnChange := Result.edRChange;
    Result.edVideo.Color := clWindow;
      Result.edVideo.OnEnter := Result.edCodeAddrEnter;
      Result.edVideo.OnChange := Result.edVideoChange;
    Result.edIFF1.Color := clWindow;
      Result.edIFF1.OnEnter := Result.edCodeAddrEnter;
      Result.edIFF1.OnChange := Result.edIFF1Change;
    Result.edIFF2.Color := clWindow;
      Result.edIFF2.OnEnter := Result.edCodeAddrEnter;
      Result.edIFF2.OnChange := Result.edIFF2Change;
    Result.edDE.Color := clWindow;
      Result.edDE.OnEnter := Result.edCodeAddrEnter;
      Result.edDE.OnChange := Result.edDEChange;
    Result.edBC.Color := clWindow;
      Result.edBC.OnEnter := Result.edCodeAddrEnter;
      Result.edBC.OnChange := Result.edBCChange;
    Result.edIX.Color := clWindow;
      Result.edIX.OnEnter := Result.edCodeAddrEnter;
      Result.edIX.OnChange := Result.edIXChange;
    Result.edSP.Color := clWindow;
      Result.edSP.OnEnter := Result.edCodeAddrEnter;
      Result.edSP.OnChange := Result.edSPChange;
    Result.edHL.Color := clWindow;
      Result.edHL.OnEnter := Result.edCodeAddrEnter;
      Result.edHL.OnChange := Result.edHLChange;
    Result.edRAM.Color := clWindow;
      Result.edRAM.OnEnter := Result.edCodeAddrEnter;
      Result.edRAM.OnChange := Result.edRAMChange;
    Result.edAF.Color := clWindow;
      Result.edAF.OnEnter := Result.edCodeAddrEnter;
      Result.edAF.OnChange := Result.edAFChange;
    Result.edPC.Color := clWindow;
      Result.edPC.OnEnter := Result.edCodeAddrEnter;
      Result.edPC.OnChange := Result.edPCChange;
    Result.cbROM.Color := clWindow;
      Result.cbROM.OnChange := Result.edROMChange;
    Result.edAFalt.Color := clWindow;
      Result.edAFalt.OnEnter := Result.edCodeAddrEnter;
      Result.edAFalt.OnChange := Result.edAFaltChange;
    Result.edBCalt.Color := clWindow;
      Result.edBCalt.OnEnter := Result.edCodeAddrEnter;
      Result.edBCalt.OnChange := Result.edBCaltChange;
    Result.edDEalt.Color := clWindow;
      Result.edDEalt.OnEnter := Result.edCodeAddrEnter;
      Result.edDEalt.OnChange := Result.edDEaltChange;
    Result.edIY.Color := clWindow;
      Result.edIY.OnEnter := Result.edCodeAddrEnter;
      Result.edIY.OnChange := Result.edIYChange;
    Result.edHLalt.Color := clWindow;
      Result.edHLalt.OnEnter := Result.edCodeAddrEnter;
      Result.edHLalt.OnChange := Result.edHLaltChange;
    Result.edGFX_IYL.Color := clWindow;
      Result.edGFX_IYL.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_IYL.OnChange := Result.edGFX_AChange;
    Result.edGFX_F.Color := clWindow;
      Result.edGFX_F.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_F.OnChange := Result.edGFX_AChange;
    Result.edGFX_IYH.Color := clWindow;
      Result.edGFX_IYH.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_IYH.OnChange := Result.edGFX_AChange;
    Result.edGFX_A.Color := clWindow;
      Result.edGFX_A.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_A.OnChange := Result.edGFX_AChange;
    Result.edGFX_B.Color := clWindow;
      Result.edGFX_B.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_B.OnChange := Result.edGFX_AChange;
    Result.edGFX_C.Color := clWindow;
      Result.edGFX_C.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_C.OnChange := Result.edGFX_AChange;
    Result.edGFX_D.Color := clWindow;
      Result.edGFX_D.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_D.OnChange := Result.edGFX_AChange;
    Result.edGFX_IXL.Color := clWindow;
      Result.edGFX_IXL.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_IXL.OnChange := Result.edGFX_AChange;
    Result.edGFX_E.Color := clWindow;
      Result.edGFX_E.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_E.OnChange := Result.edGFX_AChange;
    Result.edGFX_IXH.Color := clWindow;
      Result.edGFX_IXH.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_IXH.OnChange := Result.edGFX_AChange;
    Result.edGFX_H.Color := clWindow;
      Result.edGFX_H.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_H.OnChange := Result.edGFX_AChange;
    Result.edGFX_L.Color := clWindow;
      Result.edGFX_L.OnEnter := Result.edCodeAddrEnter;
      Result.edGFX_L.OnChange := Result.edGFX_AChange;
    Result.edLastTstate.Color := clWindow;
      Result.edLastTstate.OnEnter := Result.edCodeAddrEnter;
    Result.LVStack.Color := clBtnFace;
      Result.LVStack.OnMouseDblClk := Result.LVStackMouseDblClk;
      Result.LVStack.OnLVData := Result.LVStackLVData;
      Result.LVStack.OnLVCustomDraw := Result.LVStackLVCustomDraw;
    Result.edCF.Color := clWindow;
      Result.edCF.OnEnter := Result.edCodeAddrEnter;
      Result.edCF.OnChange := Result.edZFChange;
    Result.edNF.Color := clWindow;
      Result.edNF.OnEnter := Result.edCodeAddrEnter;
      Result.edNF.OnChange := Result.edZFChange;
      Result.pnDisasm.OnResize := Result.pnDisasmResize;
    Result.edPF.Color := clWindow;
      Result.edPF.OnEnter := Result.edCodeAddrEnter;
      Result.edPF.OnChange := Result.edZFChange;
    Result.edXF.Color := clWindow;
      Result.edXF.OnEnter := Result.edCodeAddrEnter;
      Result.edXF.OnChange := Result.edZFChange;
    Result.btPgUp.Color := clBtnFace;
      Result.btPgUp.OnClick := Result.btPgUpClick;
    Result.edHF.Color := clWindow;
      Result.edHF.OnEnter := Result.edCodeAddrEnter;
      Result.edHF.OnChange := Result.edZFChange;
    Result.edYF.Color := clWindow;
      Result.edYF.OnEnter := Result.edCodeAddrEnter;
      Result.edYF.OnChange := Result.edZFChange;
    Result.edZF.Color := clWindow;
      Result.edZF.OnEnter := Result.edCodeAddrEnter;
      Result.edZF.OnChange := Result.edZFChange;
    Result.edSF.Color := clWindow;
      Result.edSF.OnEnter := Result.edCodeAddrEnter;
      Result.edSF.OnChange := Result.edZFChange;
      Result.PaintBox1.OnMouseDown := Result.PaintBox1MouseDown;
      Result.PaintBox1.OnMouseMove := Result.PaintBox1MouseMove;
      Result.PaintBox1.OnPaint := Result.PaintBox1Paint;
      Result.PaintBox1.OnResize := Result.PaintBox1Resize;
      Result.edCodeAddr.OnEnter := Result.edCodeAddrEnter;
      Result.edCodeAddr.OnKeyDown := Result.edCodeAddrKeyDown;
      Result.edCodeAddr.OnChange := Result.edCodeAddrChange;
    Result.LVData.Color := clWindow;
      Result.LVData.OnMouseDblClk := Result.LVDataMouseDblClk;
      Result.LVData.OnMessage := Result.LVDataMessage;
      Result.LVData.OnLeave := Result.LVDataLeave;
      Result.LVData.OnKeyDown := Result.LVDataKeyDown;
      Result.LVData.OnChar := Result.LVDataChar;
      Result.LVData.OnResize := Result.LVDataResize;
      Result.LVData.OnLVData := Result.LVDataLVData;
      Result.LVData.OnLVStateChange := Result.LVDataLVStateChange;
      Result.LVData.OnScroll := Result.LVDataScroll;
      Result.LVData.OnLVCustomDraw := Result.LVDataLVCustomDraw;
    Result.edDataAddr.Color := clWindow;
      Result.edDataAddr.OnLeave := Result.edDataAddrLeave;
      Result.edDataAddr.OnChar := Result.edDataAddrChar;
      Result.edDataAddr.OnChange := Result.edDataAddrChange;
    Result.edGFXDataAddr.Color := clWindow;
      Result.edGFXDataAddr.OnLeave := Result.edGFXDataAddrLeave;
      Result.edGFXDataAddr.OnChar := Result.edGFXDataAddrChar;
      Result.edGFXDataAddr.OnChange := Result.edGFXDataAddrChange;
    Result.edTonA.Color := clWindow;
      Result.edTonA.OnEnter := Result.edCodeAddrEnter;
      Result.edTonA.OnChange := Result.edTonAChange;
    Result.edTonC.Color := clWindow;
      Result.edTonC.OnEnter := Result.edCodeAddrEnter;
      Result.edTonC.OnChange := Result.edTonAChange;
    Result.edTonB.Color := clWindow;
      Result.edTonB.OnEnter := Result.edCodeAddrEnter;
      Result.edTonB.OnChange := Result.edTonAChange;
    Result.edEnvP.Color := clWindow;
      Result.edEnvP.OnEnter := Result.edCodeAddrEnter;
      Result.edEnvP.OnChange := Result.edTonAChange;
    Result.edNoise.Color := clWindow;
      Result.edNoise.OnEnter := Result.edCodeAddrEnter;
      Result.edNoise.OnChange := Result.edTonAChange;
    Result.edAmpB.Color := clWindow;
      Result.edAmpB.OnEnter := Result.edCodeAddrEnter;
      Result.edAmpB.OnChange := Result.edTonAChange;
    Result.edAmpC.Color := clWindow;
      Result.edAmpC.OnEnter := Result.edCodeAddrEnter;
      Result.edAmpC.OnChange := Result.edTonAChange;
    Result.edEnvSh.Color := clWindow;
      Result.edEnvSh.OnEnter := Result.edCodeAddrEnter;
      Result.edEnvSh.OnChange := Result.edTonAChange;
    Result.edAmpA.Color := clWindow;
      Result.edAmpA.OnEnter := Result.edCodeAddrEnter;
      Result.edAmpA.OnChange := Result.edTonAChange;
    Result.edMixer.Color := clWindow;
      Result.edMixer.OnEnter := Result.edCodeAddrEnter;
      Result.edMixer.OnChange := Result.edTonAChange;
    Result.edTState.Color := clWindow;
      Result.edTState.OnEnter := Result.edCodeAddrEnter;
      Result.pnBCalt.OnClick := Result.pnBCClick;
      Result.pnBC.OnClick := Result.pnBCClick;
    Result.btUp.Color := clBtnFace;
      Result.btUp.OnClick := Result.btUpClick;
    Result.pnScroller.Color := clWindow;
      Result.pnScroller.OnMouseDblClk := Result.pnScrollerMouseDown;
      Result.pnScroller.OnMouseDown := Result.pnScrollerMouseDown;
      Result.pnScroller.OnMouseUp := Result.pnScrollerMouseUp;
    Result.LVGFXData.Color := clWindow;
      Result.LVGFXData.OnMouseDblClk := Result.LVGFXDataMouseDblClk;
      Result.LVGFXData.OnMessage := Result.LVGFXDataMessage;
      Result.LVGFXData.OnLeave := Result.LVGFXDataLeave;
      Result.LVGFXData.OnKeyDown := Result.LVGFXDataKeyDown;
      Result.LVGFXData.OnResize := Result.LVGFXDataResize;
      Result.LVGFXData.OnLVData := Result.LVGFXDataLVData;
      Result.LVGFXData.OnLVStateChange := Result.LVGFXDataLVStateChange;
      Result.LVGFXData.OnScroll := Result.LVGFXDataScroll;
      Result.LVGFXData.OnLVCustomDraw := Result.LVGFXDataLVCustomDraw;
      Result.Toolbar1.OnMessage := Result.Toolbar1Message;
      Result.Toolbar1.OnMouseDown := Result.Toolbar1MouseDown;
      Result.pnTonC.OnClick := Result.pnGFX_BClick;
      Result.pnAmpC.OnClick := Result.pnGFX_BClick;
      Result.pnGFX_B.OnClick := Result.pnGFX_BClick;
      Result.pnDEalt.OnClick := Result.pnBCClick;
      Result.pnDE.OnClick := Result.pnBCClick;
    Result.btPgDn.Color := clBtnFace;
      Result.btPgDn.OnClick := Result.btPgDnClick;
      Result.pnEnvSh.OnClick := Result.pnGFX_BClick;
      Result.pnGFX_C.OnClick := Result.pnGFX_BClick;
      Result.pnEnvP.OnClick := Result.pnGFX_BClick;
      Result.pnHL.OnClick := Result.pnBCClick;
      Result.pnHLalt.OnClick := Result.pnBCClick;
    Result.btDown.Color := clBtnFace;
      Result.btDown.OnClick := Result.btDownClick;
      Result.pnGFX_D.OnClick := Result.pnGFX_BClick;
      Result.pnMixer.OnClick := Result.pnGFX_BClick;
      Result.pnNoise.OnClick := Result.pnGFX_BClick;
      Result.pnIY.OnClick := Result.pnBCClick;
      Result.pnIX.OnClick := Result.pnBCClick;
      Result.pnGFX_E.OnClick := Result.pnGFX_BClick;
      Result.pnPC.OnClick := Result.pnBCClick;
      Result.pnThumb.OnMessage := Result.pnThumbMessage;
      Result.pnThumb.OnMouseDown := Result.pnThumbMouseDown;
      Result.pnThumb.OnMouseUp := Result.pnThumbMouseUp;
      Result.pnGFX_H.OnClick := Result.pnGFX_BClick;
      Result.pnSP.OnClick := Result.pnBCClick;
      Result.pnGFX_L.OnClick := Result.pnGFX_BClick;
      Result.pnGFX_IXH.OnClick := Result.pnGFX_BClick;
      Result.pnGFX_IXL.OnClick := Result.pnGFX_BClick;
      Result.OpenGFXDlg.WndOwner := Result.Form.GetWindowHandle;
      Result.pnGFX_IYH.OnClick := Result.pnGFX_BClick;
      Result.pnGFX_IYL.OnClick := Result.pnGFX_BClick;
      Result.SaveGFXDlg.WndOwner := Result.Form.GetWindowHandle;
    Result.KOLForm1FormCreate( Result );

end;

