{ KOL MCK } // Do not remove this line!
const TBCompAnother = 0;
const TBPrev = 2;
const TBNext = 3;
const TBSyncLR = 5;
const TBSyncRL = 6;
const TBFont = 8;

const Col1 = 0;
const Col2 = 0;
const pmCopy = 0;
const pmFind = 1;
const pmNext = 2;
const N2 = 4;
const N3 = 5;
const pmGoStartSel = 7;
const pmGoEndSel = 8;


procedure NewForm1( var Result: PForm1; AParent: PControl );
begin

  {$IFDEF KOLCLASSES}
  Result := PForm1.Create;
  {$ELSE OBJECTS}
  New( Result, Create );
  {$ENDIF KOL CLASSES/OBJECTS}
  Result.Form := NewForm( AParent, 'Fast compare text files line by line' ).SetPosition( 192, 119 ).SetClientSize( 530, 371 ).Tabulate;
  Result.Form.Add2AutoFree( Result );
   {$IFDEF USE_NAMES}
    Result.Form.Name := 'Form1';
   {$ENDIF}
    Result.Form.Font.FontHeight := 16;
      Applet.OnMessage := Result.KOLApplet1Message;
      Result.Form.OnClose := Result.KOLForm1Close;
      Result.Form.OnShow := Result.KOLForm1Show;
      Result.Form.OnDestroy := Result.KOLForm1Destroy;
    Result.Form.MinWidth := 535;
    Result.Form.MinHeight := 300;
    NewMenu( Result.Form, 0, [ '' ], nil );

    Result.Thread1 := NewThread;
    Result.Thread1.OnExecute := Result.Thread1Execute;
  Result.Form.Add2AutoFree( Result.Thread1 );

    Result.OD1 := NewOpenSaveDialog( 'Select file to compare', '', [  ] );
      Result.OD1.Filter := 'All files|*.*';
  Result.Form.Add2AutoFree( Result.OD1 );

    Result.PopupMenu1 := NewMenu( Result.Form, 0, [ 
      '&Copy'+#9+'Ctrl+C', '&Find'+#9+'Ctrl+F'
      , 'Find &Next'+#9+'F3', '-' + ''
      , '&Previous difference'+#9+'Ctrl+Up'
      , '&Next difference'+#9+'Ctrl+Down', '-' + ''
      , '&Show start of selection'+#9+'Alt+Up'
      , 'Show &end of selection'+#9+'Alt+Down', '' ], nil );
   {$IFDEF USE_NAMES}
    Result.PopupMenu1.Name := 'PopupMenu1';
   {$ENDIF}
    Result.PopupMenu1.AssignEvents( 0, [ Result.PopupMenu1pmCopyMenu ] );
    Result.PopupMenu1.ItemAccelerator[ 0 ] := MakeAccelerator( FVIRTKEY or FCONTROL, $43 );
    Result.PopupMenu1.AssignEvents( 1, [ Result.PopupMenu1pmFindMenu ] );
    Result.PopupMenu1.ItemAccelerator[ 1 ] := MakeAccelerator( FVIRTKEY or FCONTROL, $46 );
    Result.PopupMenu1.AssignEvents( 2, [ Result.PopupMenu1pmNextMenu ] );
    Result.PopupMenu1.ItemAccelerator[ 2 ] := MakeAccelerator( FVIRTKEY, VK_F3 );
    Result.PopupMenu1.AssignEvents( 4, [ Result.PopupMenu1N2Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 4 ] := MakeAccelerator( FVIRTKEY or FCONTROL, VK_UP );
    Result.PopupMenu1.AssignEvents( 5, [ Result.PopupMenu1N3Menu ] );
    Result.PopupMenu1.ItemAccelerator[ 5 ] := MakeAccelerator( FVIRTKEY or FCONTROL, VK_DOWN );
    Result.PopupMenu1.AssignEvents( 7, [ Result.PopupMenu1pmGoStartSelMenu ] );
    Result.PopupMenu1.ItemAccelerator[ 7 ] := MakeAccelerator( FVIRTKEY or FALT, VK_UP );
    Result.PopupMenu1.AssignEvents( 8, [ Result.PopupMenu1pmGoEndSelMenu ] );
    Result.PopupMenu1.ItemAccelerator[ 8 ] := MakeAccelerator( FVIRTKEY or FALT, VK_DOWN );
      Result.PopupMenu1.OnPopup := Result.PopupMenu1Popup;
    // Result.Panel1.TabOrder = 0
    Result.Panel1 := NewPanel( Result.Form, esNone ).SetAlign ( caTop ).SetSize( 0, 121 );
   {$IFDEF USE_NAMES}
    Result.Panel1.Name := 'Panel1';
   {$ENDIF}
    // Result.Label1.TabOrder = -1
      Result.Label1 := NewLabel( Result.Panel1, 'Files to compare:' ).SetPosition( 8, 8 ).AutoSize( TRUE );
   {$IFDEF USE_NAMES}
      Result.Label1.Name := 'Label1';
   {$ENDIF}
    // Result.CB1.TabOrder = 0
      Result.CB1 := NewComboBox( Result.Panel1, [ coNoIntegralHeight ] ).SetPosition( 8, 32 ).SetSize( 417, 0 );
   {$IFDEF USE_NAMES}
      Result.CB1.Name := 'CB1';
   {$ENDIF}
      Result.CB1.CurIndex := 0;
    // Result.Bt1.TabOrder = 1
      Result.Bt1 := NewButton( Result.Panel1, 'Browse' ).SetPosition( 432, 32 ).SetSize( 81, 0 );
   {$IFDEF USE_NAMES}
      Result.Bt1.Name := 'Bt1';
   {$ENDIF}
    // Result.CB2.TabOrder = 2
      Result.CB2 := NewComboBox( Result.Panel1, [ coNoIntegralHeight ] ).SetPosition( 8, 64 ).SetSize( 417, 0 );
   {$IFDEF USE_NAMES}
      Result.CB2.Name := 'CB2';
   {$ENDIF}
      Result.CB2.CurIndex := 0;
    // Result.Bt2.TabOrder = 3
      Result.Bt2 := NewButton( Result.Panel1, 'Browse' ).SetPosition( 432, 64 ).SetSize( 81, 0 );
   {$IFDEF USE_NAMES}
      Result.Bt2.Name := 'Bt2';
   {$ENDIF}
    // Result.B3.TabOrder = 4
      Result.B3 := NewButton( Result.Panel1, 'Compare!' ).SetPosition( 8, 96 ).SetSize( 81, 0 );
   {$IFDEF USE_NAMES}
      Result.B3.Name := 'B3';
   {$ENDIF}
      Result.B3.Enabled := False;
    // Result.ckCase.TabOrder = 5
      Result.ckCase := NewCheckBox( Result.Panel1, 'Case' ).SetPosition( 104, 96 ).AutoSize( TRUE );
   {$IFDEF USE_NAMES}
      Result.ckCase.Name := 'ckCase';
   {$ENDIF}
      Result.ckCase.Checked := TRUE;
    // Result.ckSpaces.TabOrder = 6
      Result.ckSpaces := NewCheckBox( Result.Panel1, 'Spaces' ).SetPosition( 168, 96 ).AutoSize( TRUE );
   {$IFDEF USE_NAMES}
      Result.ckSpaces.Name := 'ckSpaces';
   {$ENDIF}
      Result.ckSpaces.Checked := TRUE;
    // Result.ckTabs.TabOrder = 7
      Result.ckTabs := NewCheckBox( Result.Panel1, 'Tabs' ).SetPosition( 248, 96 ).AutoSize( TRUE );
   {$IFDEF USE_NAMES}
      Result.ckTabs.Name := 'ckTabs';
   {$ENDIF}
    // Result.Button1.TabOrder = 8
      Result.Button1 := NewButton( Result.Panel1, 'About' ).SetPosition( 432, 96 ).SetSize( 81, 0 ).LikeSpeedButton;
   {$IFDEF USE_NAMES}
      Result.Button1.Name := 'Button1';
   {$ENDIF}
    // Result.Panel2.TabOrder = 1
    Result.Panel2 := NewPanel( Result.Form, esNone ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
    Result.Panel2.Name := 'Panel2';
   {$ENDIF}
    // Result.Toolbar1.TabOrder = 0
        {$R Form1_Toolbar1.res}
      Result.Toolbar1 := NewToolbar( Result.Panel2, caTop, [tboNoDivider], 0, [ ' ', '-', ' ', ' ', '-', ' ', ' ', '-', ' ' ], [ 10, -2, 18, 19, -2, 0, 1, -2, 2 ] ).SetAlign ( caTop );
   {$IFDEF USE_NAMES}
      Result.Toolbar1.Name := 'Toolbar1';
   {$ENDIF}
        Result.Toolbar1.TBBtnImgWidth := 16;
        Result.Toolbar1.TBAddBitmap( LoadMappedBitmapEx( Result.Toolbar1, hInstance, 'FORM1_TBBMP5000', [ clSilver, Color2RGB( clBtnFace ) ] ) );
        Result.Toolbar1.TBAddBitmap( THandle( -1 ) );
        Result.Toolbar1.TBAddBitmap( THandle( -9 ) );
        Result.Toolbar1.TBSetTooltips( Result.Toolbar1.TBIndex2Item( 0 ), [ 'Compare another files pair', '', 'Previous difference (Ctrl+Up)', 'Next difference (Ctrl+Down)', '', 'Synchronize left top to right bottom of selection', 'Synchronize right top to left bottom of selection', '', 'Select font and colors' ] );
        Result.Toolbar1.TBAssignEvents( 0, [ Result.Toolbar1TBCompAnotherClick, nil, Result.Toolbar1TBPrevClick, Result.Toolbar1TBNextClick, nil, Result.Toolbar1TBSyncLRClick, Result.Toolbar1TBSyncRLClick, nil, Result.Toolbar1TBFontClick ] );
    // Result.LV1.TabOrder = 1
      Result.LV1 := NewListView( Result.Panel2, lvsDetailNoHeader, [ lvoRowSelect, lvoOwnerData ], nil, nil, nil ).SetAlign ( caLeft ).SetSize( 260, 0 );
   {$IFDEF USE_NAMES}
      Result.LV1.Name := 'LV1';
   {$ENDIF}
    Result.LV1.Font.FontHeight := 14;
    Result.LV1.Font.FontName := 'Courier';
      Result.LV1.DoubleBuffered := True;
      Result.LV1.SetAutoPopupMenu( Result.PopupMenu1 );
      Result.LV1.LVColAdd( '1', taLeft, 50);
    // Result.LV2.TabOrder = 2
      Result.LV2 := NewListView( Result.Panel2, lvsDetailNoHeader, [ lvoRowSelect, lvoOwnerData, lvoOwnerDrawFixed ], nil, nil, nil ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
      Result.LV2.Name := 'LV2';
   {$ENDIF}
    Result.LV2.Font.FontHeight := 14;
    Result.LV2.Font.FontName := 'Courier';
      Result.LV2.DoubleBuffered := True;
      Result.LV2.SetAutoPopupMenu( Result.PopupMenu1 );
      Result.LV2.LVColAdd( '2', taLeft, 50);
    // Result.Panel3.TabOrder = 3
      Result.Panel3 := NewPanel( Result.Panel2, esNone ).SetAlign ( caBottom ).SetSize( 0, 24 );
   {$IFDEF USE_NAMES}
      Result.Panel3.Name := 'Panel3';
   {$ENDIF}
      Result.Panel3.MarginBottom := -2;
      Result.Panel3.MarginLeft := -2;
      Result.Panel3.MarginRight := -2;
    // Result.pStat1.TabOrder = 0
        Result.pStat1 := NewPanel( Result.Panel3, esLowered ).SetAlign ( caLeft ).SetSize( 261, 0 );
   {$IFDEF USE_NAMES}
        Result.pStat1.Name := 'pStat1';
   {$ENDIF}
    Result.pStat1.VerticalAlign := vaCenter;
        Result.pStat1.Caption := '  Line:';
    // Result.pStat2.TabOrder = 1
        Result.pStat2 := NewPanel( Result.Panel3, esLowered ).SetAlign ( caClient );
   {$IFDEF USE_NAMES}
        Result.pStat2.Name := 'pStat2';
   {$ENDIF}
    Result.pStat2.VerticalAlign := vaCenter;
        Result.pStat2.Caption := '  Line:';
    Result.CB1.Color := clWindow;
      Result.CB1.OnChange := Result.CB1Change;
    Result.LV1.Color := clWindow;
      Result.LV1.OnMouseDown := Result.LV1MouseDown;
      Result.LV1.OnEnter := Result.LV1Enter;
      Result.LV1.OnKeyDown := Result.LV1KeyDown;
      Result.LV1.OnLVData := Result.LV1LVData;
      Result.LV1.OnLVStateChange := Result.LV1LVStateChange;
      Result.LV1.OnScroll := Result.LV1Scroll;
      Result.LV1.OnLVCustomDraw := Result.LV1LVCustomDraw;
      Result.Panel2.OnResize := Result.Panel2Resize;
      Result.Bt1.OnClick := Result.Bt1Click;
    Result.LV2.Color := clWindow;
      Result.LV2.OnMouseDown := Result.LV1MouseDown;
      Result.LV2.OnEnter := Result.LV2Enter;
      Result.LV2.OnKeyDown := Result.LV1KeyDown;
      Result.LV2.OnLVData := Result.LV1LVData;
      Result.LV2.OnLVStateChange := Result.LV1LVStateChange;
      Result.LV2.OnScroll := Result.LV2Scroll;
      Result.LV2.OnLVCustomDraw := Result.LV1LVCustomDraw;
    Result.CB2.Color := clWindow;
      Result.CB2.OnChange := Result.CB1Change;
      Result.Bt2.OnClick := Result.Bt2Click;
      Result.B3.OnClick := Result.B3Click;
      Result.OD1.WndOwner := Result.Form.GetWindowHandle;
      Result.Button1.OnClick := Result.Button1Click;
    Result.KOLForm1FormCreate( Result );

end;


